<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Gang](./bitburner.gang.md) &gt; [getTaskStats](./bitburner.gang.gettaskstats.md)

## Gang.getTaskStats() method

Get stats of a task.

**Signature:**

```typescript
getTaskStats(name: string): GangTaskStats;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

name


</td><td>

string


</td><td>

Name of the task.


</td></tr>
</tbody></table>

**Returns:**

[GangTaskStats](./bitburner.gangtaskstats.md)

Detailed stats of a task.

## Remarks

RAM cost: 1 GB

Get the stats of a gang task stats. This is typically used to evaluate which action should be executed next.

